"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InjectConnection = exports.InjectKnex = exports.InjectModel = void 0;
const common_1 = require("@nestjs/common");
const objection_utils_1 = require("./objection.utils");
function InjectModel(model, connection) {
    return common_1.Inject(objection_utils_1.getObjectionModelToken(model, connection));
}
exports.InjectModel = InjectModel;
function InjectKnex(connection) {
    return common_1.Inject(objection_utils_1.getObjectionConnectionToken(connection));
}
exports.InjectKnex = InjectKnex;
exports.InjectConnection = InjectKnex;
